Scala Bytecode Parser2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package scalap
  Definition Classes
    tools
-  package scalax
  Definition Classes
    scalap
-  package rules
  Definition Classes
    scalax
-  package scalasig
  Definition Classes
    rules
- AliasSymbol
- AnnotInfo
- AnnotatedType
- AnnotatedWithSelfType
- Attribute
- AttributeInfo
- ByteCode
- ByteCodeReader
- Children
- ClassFile
- ClassFileHeader
- ClassFileParser
- ClassInfoType
- ClassInfoTypeWithCons
- ClassSymbol
- ConstantPool
- ConstantType
- ExistentialType
- ExternalSymbol
- Field
- Flags
- Method
- MethodSymbol
- MethodType
- NoPrefixType
- NoSymbol
- NoType
- NullaryMethodType
- ObjectSymbol
- PolyType
- PolyTypeWithCons
- RefinedType
- ScalaSig
- ScalaSigAttributeParsers
- ScalaSigEntryParsers
- ScalaSigParser
- ScalaSigParsers
- ScalaSigPrinter
- ScalaSigSymbol
- SingleType
- SourceFileAttributeParser
- SourceFileInfo
- StringBytesPair
- Symbol
- SymbolInfo
- SymbolInfoSymbol
- ThisType
- Type
- TypeBoundsType
- TypeRefType
- TypeSymbol

c

scala.tools.scalap.scalax.rules.scalasig

# ClassFile 

###

#### case class ClassFile(header: ClassFileHeader, fields: Seq[Field], methods: Seq[Method], attributes: Seq[Attribute]) extends Product with Serializable

Source
  ClassFileParser.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ClassFile
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ClassFile(header: ClassFileHeader, fields: Seq[Field], methods: Seq[Method], attributes: Seq[Attribute])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ClassFile to any2stringadd[ClassFile] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ClassFile, B)
   Implicit
     This member is added by an implicit conversion from ClassFile to ArrowAssoc[ClassFile] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val RUNTIME_VISIBLE_ANNOTATIONS: String
7.  def annotation(name: String): Option[Annotation]
8.  def annotations: Option[Seq[Annotation]]
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def attribute(name: String): Option[Attribute]
11.  val attributes: Seq[Attribute]
12.  def className: Any
13.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
14.  def constant(index: Int): Any
15.  def constantWrapped(index: Int): Any
16.  def ensuring(cond: (ClassFile) ⇒ Boolean, msg: ⇒ Any): ClassFile
    Implicit
      This member is added by an implicit conversion from ClassFile to Ensuring[ClassFile] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: (ClassFile) ⇒ Boolean): ClassFile
    Implicit
      This member is added by an implicit conversion from ClassFile to Ensuring[ClassFile] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  def ensuring(cond: Boolean, msg: ⇒ Any): ClassFile
    Implicit
      This member is added by an implicit conversion from ClassFile to Ensuring[ClassFile] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  def ensuring(cond: Boolean): ClassFile
    Implicit
      This member is added by an implicit conversion from ClassFile to Ensuring[ClassFile] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
20.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  val fields: Seq[Field]
22.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
23.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ClassFile to StringFormat[ClassFile] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
24.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
25.  val header: ClassFileHeader
26.  def interfaces: collection.Seq[Any]
27.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
28.  def majorVersion: Int
29.  val methods: Seq[Method]
30.  def minorVersion: Int
31.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
32.  final def notify(): Unit
    Definition Classes
      AnyRef
33.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
34.  def superClass: Any
35.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
36.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  def →[B](y: B): (ClassFile, B)
    Implicit
      This member is added by an implicit conversion from ClassFile to ArrowAssoc[ClassFile] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ClassFile to any2stringadd[ClassFile]

### Inherited by implicit conversion StringFormat from ClassFile to StringFormat[ClassFile]

### Inherited by implicit conversion Ensuring from ClassFile to Ensuring[ClassFile]

### Inherited by implicit conversion ArrowAssoc from ClassFile to ArrowAssoc[ClassFile]

### Ungrouped